Subject: bug#14003: 24.3.50; sgml-mode: support angle brackets inside jsp tags

From: Stefan Monnier <[email-masked]>
Date: Wed, 03 Apr 2013 14:25:48 -0400

>> I agree doing it in sgml-mode would be simpler.
> I've thought about it some more, and looks like it would be incompatible
> with what mmm-mode is currently doing.  One of the latest additions is the
> composite syntax-propertize-function:
> https://github.com/purcell/mmm-mode/blob/master/mmm-region.el#L806
> It iterates over the regions and calls syntax-propertize-function of each
> major mode, passing it the bounds of the region.  So adding propertization of
> angle brackets to sgml-syntax-propertize-function won't help because it
> won't be called on submode regions.

If don't use mmm-mode, then it should work.

But indeed when you use mmm-mode to handle the <%...%> text, then it
should be mmm-mode's task to handle that problem.

        Stefan "not saying that it's easy for mmm-mode to handle the problem"